<?php

namespace Toalett\Redis\Timeseries\Protocol\Query\Components;

use Toalett\Redis\Timeseries\Protocol\ProtocolAssembler;

trait QueryAssembler
{
    use ProtocolAssembler;

    final protected function assemble(string $commandName): array
    {
        return $this->appendAll(
            [$commandName],
            'appendKey',
            'appendRange',
            'appendCount',
            'appendAggregation',
            'appendWithLabels',
            'appendFilters'
        );
    }
}
