<?php

namespace Toalett\Redis\Timeseries\Exception;

use Throwable;

class DatabaseException extends RuntimeException
{
    public function __construct($message = "", $code = 0, Throwable $previous = null)
    {
        $parts = explode(':', $message);
        if (count($parts) >= 2) {
            $message = ucfirst(trim(end($parts)));
        }
        parent::__construct($message, $code, $previous);
    }
}
