<?php

namespace Toalett\Redis\Timeseries\Protocol\Command\Components;

use Toalett\Redis\Timeseries\Protocol\ProtocolAssembler;

trait CommandAssembler
{
    use ProtocolAssembler;

    final protected function assemble(string $commandName): array
    {
        return $this->appendAll(
            [$commandName],
            'appendKey',
            'appendSourceAndDestinationKeys',
            'appendValue',
            'appendRetention',
            'appendUncompressed',
            'appendChunkSize',
            'appendDuplicatePolicy',
            'appendAggregation',
            'appendLabels'
        );
    }
}
