<?php

namespace Toalett\Redis\Timeseries\Protocol\Command\Components;

trait ContainsUncompressed
{
    private bool $uncompressed = false;

    public function uncompressed(): self
    {
        $this->uncompressed = true;
        return $this;
    }

    protected function appendUncompressed(array $command): array
    {
        if (true === $this->uncompressed) {
            $command[] = 'UNCOMPRESSED';
        }

        return $command;
    }
}
