<?php

namespace Toalett\Redis\Timeseries\Protocol\Command;

use Toalett\Redis\Timeseries\Protocol\Command\Components\CommandAssembler;
use Toalett\Redis\Timeseries\Protocol\Command\Components\ContainsKey;

class DeleteCommand implements Command
{
    use ContainsKey;
    use CommandAssembler;

    public function toRawCommand(): array
    {
        return $this->assemble('DEL');
    }
}
