<?php

namespace Toalett\Redis\Timeseries\Protocol\Query\Components;

trait ContainsCount
{
    protected ?int $count = null;

    public function limitCount(int $count): self
    {
        $this->count = $count;
        return $this;
    }

    protected function appendCount(array $command): array
    {
        if (!is_null($this->count)) {
            $command[] = 'COUNT';
            $command[] = $this->count;
        }

        return $command;
    }
}
